Package org.eclipse.gef.cloudio.internal.ui

# Interface ICloudLabelProvider

All Superinterfaces:
  `IBaseLabelProvider`

All Known Subinterfaces:
  `IEditableCloudLabelProvider`

All Known Implementing Classes:
  `TypeLabelProvider`

public interface ICloudLabelProvider extends IBaseLabelProvider
Defines the label of an element within the cloud. Besides of the string-label, each element can be assigned a unique weight (used to calculate the font size of the rendered element), color, font and angle.

## Method Summary

Modifier and Type
Method
Description
`float`
`getAngle(Object element)`
The angle of the element, which must be between -90 and 90, inclusive.
`Color`
`getColor(Object element)`
The `Color` of the given element, which must not be `null`.
`FontData[]`
`getFontData(Object element)`
The `FontData`-array which defines the font of the given element.
`String`
`getLabel(Object element)`
The label of the given element, which must not be `null`.
`String`
`getToolTip(Object element)`
Return the tool tip of the element, or `null`, if none.
`double`
`getWeight(Object element)`
The weight of the given element, which must be between 0 and 1 (inclusive).

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Method Details

### getLabel

String getLabel(Object element)
The label of the given element, which must not be `null`.

Parameters:
  `element` -
Returns:
  the label of the given element

### getWeight

double getWeight(Object element)
The weight of the given element, which must be between 0 and 1 (inclusive).

Parameters:
  `element` -
Returns:
  the weight of the given element

### getColor

Color getColor(Object element)
The `Color` of the given element, which must not be `null`.

Parameters:
  `element` -
Returns:
  the color of the given element

### getFontData

FontData[] getFontData(Object element)
The `FontData`-array which defines the font of the given element. Each element must be provided with a unique array. Must not return `null`.

Parameters:
  `element` -
Returns:
  the font data for the given element

### getAngle

float getAngle(Object element)
The angle of the element, which must be between -90 and 90, inclusive.

Parameters:
  `element` -
Returns:
  the angle of the given element

### getToolTip

String getToolTip(Object element)
Return the tool tip of the element, or `null`, if none.

Parameters:
  `element` -
Returns:
  the tooltip of the given element